Subject: defective new Madison Park Galen Roman Shade
From: "Amy M." <[email-masked]>
To: [email-masked]
Date: Tue, 15 Jul 2025 21:07:24 -0400

Good evening,
We purchased a Madison Park Galen Cordless Roman Shade through Amazon Order
# 113-7010702-0392221.
. We installed it according to manufacturer directions. When we clipped it
in place it unraveled to a fully extended length. We tried pulling the
handle in the back and at a 45 degree angle and it would not roll up. We
tried manually rolling up the shade to reset the tension and  just unrolls
to a fully extended position. I went to exchange it for another one but
Amazon prompted me to email here first.
Please let me know if you need any additional information. Thank you
Sincerely, Amy Mezzadri